Gravv DOCS
Docs Agent Get Started
API Reference List currency pairs

List currency pairs

Retrieves all supported currency pairs from all enabled providers.

By default, only fiat currency pairs are returned. Set include_crypto=true to include crypto pairs alongside fiat pairs.

This endpoint is cached for 1 hour.

GET/v1/fx/supported-currencies

Query Parameters

When true, returns both fiat and crypto supported currency pairs. When omitted or false, only fiat pairs are returned.

Responses

Status Description
200 List of supported currency pairs
401 Missing or invalid API key
500 Internal server error

200 response

Array of supported currency pairs.

ISO 4217 currency code or crypto ticker for the source currency.

ISO 4217 currency code or crypto ticker for the target currency.

The trading pair in FROM/TO format.

Category of the currency pair.

Possible values: fiat/fiat, crypto/crypto, fiat/crypto, crypto/fiat

Full name of the source currency. Returns null when the name is unavailable.

Full name of the target currency. Returns null when the name is unavailable.

Error message. Returns null on success.

{
"data": [
{
  "currency_pair": "USD/ZAR",
  "pair_type": "fiat/fiat",
  "from_currency": "USD",
  "from_currency_name": "US Dollar",
  "to_currency": "ZAR",
  "to_currency_name": "South African Rand"
},
{
  "currency_pair": "USD/KES",
  "pair_type": "fiat/fiat",
  "from_currency": "USD",
  "from_currency_name": "US Dollar",
  "to_currency": "KES",
  "to_currency_name": "Kenyan Shilling"
},
{
  "currency_pair": "KES/TZS",
  "pair_type": "fiat/fiat",
  "from_currency": "KES",
  "from_currency_name": "Kenyan Shilling",
  "to_currency": "TZS",
  "to_currency_name": "Tanzanian Shilling"
}
],
"error": null
}
{
"data": [
{
  "currency_pair": "USD/ZAR",
  "pair_type": "fiat/fiat",
  "from_currency": "USD",
  "from_currency_name": "US Dollar",
  "to_currency": "ZAR",
  "to_currency_name": "South African Rand"
},
{
  "currency_pair": "USDC/KES",
  "pair_type": "crypto/fiat",
  "from_currency": "USDC",
  "from_currency_name": "USD Coin",
  "to_currency": "KES",
  "to_currency_name": "Kenyan Shilling"
},
{
  "currency_pair": "USDC/MXN",
  "pair_type": "crypto/fiat",
  "from_currency": "USDC",
  "from_currency_name": "USD Coin",
  "to_currency": "MXN",
  "to_currency_name": "Mexican Peso"
}
],
"error": null
}

401 response

Always null for error responses.

Human-readable error message.

{
"data": null,
"error": "Invalid or missing Api-Key header. Api-Key is required!"
}
{
"data": null,
"error": "Invalid token!"
}

500 response

Always null for error responses.

Human-readable error message.

{
"data": null,
"error": "Internal server error"
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC